### Class

# GUPnP ResourceFactory

#### Description [src]

    class GUPnP.ResourceFactory : GObject.Object
    {
      /* No available fields */
    }

Associating custom Services, Devices, ServiceProxies and DeviceProxies with UPnP types.

`GUPnPResourceFactory` objects are used by `GUPnPControlPoint`, `GUPnPDeviceProxy` and `GUPnPDevice` to create resource proxy and resource objects.

Register UPnP type - `GType` pairs to have resource or resource proxy objects created with the specified `GType` whenever an object for a resource of the specified UPnP type is requested. The `GType` needs to be derived from the relevant resource or resource proxy type (e.g. a device proxy type needs to be derived from `GUPnPDeviceProxy`).

#### Ancestors

- GObject

#### Constructors

###### gupnp_resource_factory_new

Create a new `GUPnPResourceFactory` object.

#### Functions

###### gupnp_resource_factory_get_default

Get the default singleton `GUPnPResourceFactory` object.

#### Instance methods

###### gupnp_resource_factory_register_resource_proxy_type

Registers the GType `type` for the proxy of resource of UPnP type `upnp_type`. After this call, the factory `factory` will create object of GType `type` each time it is asked to create a resource proxy object for UPnP type `upnp_type`.

###### gupnp_resource_factory_register_resource_type

Registers the GType `type` for the resource of UPnP type `upnp_type`. After this call, the factory `factory` will create object of GType `type` each time it is asked to create a resource object for UPnP type `upnp_type`.

###### gupnp_resource_factory_unregister_resource_proxy_type

Unregisters the GType assignment for the proxy of resource of UPnP type `upnp_type`.

###### gupnp_resource_factory_unregister_resource_type

Unregisters the GType assignment for the resource of UPnP type `upnp_type`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPResourceFactoryClass {
      GObjectClass parent_class;
      void (* _gupnp_reserved1) (
    void
      );
      void (* _gupnp_reserved2) (
    void
      );
      void (* _gupnp_reserved3) (
    void
      );
      void (* _gupnp_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gupnp_reserved1: void (* _gupnp_reserved1) ( void )`

  No description available.

`_gupnp_reserved2: void (* _gupnp_reserved2) ( void )`

  No description available.

`_gupnp_reserved3: void (* _gupnp_reserved3) ( void )`

  No description available.

`_gupnp_reserved4: void (* _gupnp_reserved4) ( void )`

  No description available.